import { Picture } from './picture.interface';
import { Privilege } from './privilege.interface';

export interface UserListItem {
  id: number;
  uuid: string;
  username: string;
  display_name: string;
  email: string;
  created_at: string;
  updated_at: string;
  activity_at: string;
  activated: boolean;
  picture?: Picture;
  privileges?: Privilege[];
}
